## htdig 3.2.0b6

=== libhtdig/Makefile ===
#libhtdig.so makefile for Unix systems

LIBHTDIG_BUILD_VER = 3.2.1


#Berkeley DB Specific defines 
BDB_INC_DIRS = -I../db -I/usr/local/include
BDB_DEFS = -DHAVE_CONFIG_H

INC_DIRS= -I. -I../htdig -I../include -I../db -I../htlib -I../htnet -I../htcommon -I../htword -I../htfuzzy -I../htsearch -I/usr/local/include

#HTDIG_INC_DIR= -I../htdig

#define your own defaults here!
DEFAULT_CONFIG_FILE=\"/etc/htdig/htdig.conf\"
DEFAULT_DB_PATH=\"/etc/htdig/\"
BIN_DIR=\"/usr/local/bin\"
COMMON_DIR=\"/usr/local/share/htdig\"
CONFIG_DIR=\"/etc/htdig\"
DATABASE_DIR=\"/var/lib/htdig\"
IMAGE_URL_PREFIX=\"/htdig\"

DEFS= -DHAVE_CONFIG_H -DDEFAULT_CONFIG_FILE=$(DEFAULT_CONFIG_FILE) -DBIN_DIR=$(BIN_DIR) -DCOMMON_DIR=$(COMMON_DIR) 
DEFS+= -DCONFIG_DIR=$(CONFIG_DIR) -DDATABASE_DIR=$(DATABASE_DIR) -DIMAGE_URL_PREFIX=$(IMAGE_URL_PREFIX)

#LEX define based on your system
LEX = flex
AM_LFLAGS = -L
LEX_OUTPUT_ROOT = lex.yy

#YACC define based on your system
YACC = bison -y
AM_YFLAGS = -l -d
YACC_OUTPUT_ROOT = y.tab




ifdef INSURE
CC=insure gcc
CXX=insure g++
else
CC=gcc
CXX=g++
endif


#OPTIMZ=-O2
OPTIMZ=-O0
#OPTS=$(OPTIMZ) -Wall -fno-rtti -fno-exceptions -Werror
OPTS=$(OPTIMZ) -Wall -fno-rtti -fno-exceptions -fPIC
DBG= -g $(PROFILING)

ifdef FULLDEBUG
DBG+= -DDEBUG -DDEBUG_CMPR $(INC_DIRS)
endif

ifdef DEBUG
DBG+= -DDEBUG
endif

ifdef EXPKEY
OPTS += -DEXPKEY
endif

LIB_DIRS=

#use '-G' with Solaris
LFLAGS = -lc -lstdc++ 
#LFLAGS = -lc -lstdc++ -G


LIBZ  = -lz
#use this if you've built an -fPIC version of libz.a to link into the libhtdig.so
#LIBZ  = -lz-fpic

#berkeley db c files
BDB_C_OBJS += bt_compare.o bt_conv.o bt_curadj.o bt_cursor.o bt_delete.o bt_method.o bt_open.o bt_put.o bt_rec.o bt_reclaim.o bt_recno.o bt_rsearch.o bt_search.o bt_split.o bt_stat.o bt_upgrade.o btree_auto.o crdel_auto.o crdel_rec.o db.o db_am.o db_auto.o db_byteorder.o db_conv.o db_dispatch.o db_dup.o db_err.o db_getlong.o db_iface.o db_join.o db_log2.o db_meta.o db_method.o db_overflow.o db_pr.o db_rec.o db_reclaim.o db_ret.o db_salloc.o db_shash.o db_upgrade.o env_method.o env_open.o env_recover.o env_region.o hash.o hash_auto.o hash_conv.o hash_dup.o hash_func.o hash_meta.o hash_method.o hash_page.o hash_rec.o hash_reclaim.o hash_stat.o hash_upgrade.o lock.o lock_conflict.o lock_deadlock.o lock_region.o lock_util.o log.o log_archive.o log_auto.o log_compare.o log_findckp.o log_get.o log_method.o log_put.o log_rec.o log_register.o mp_alloc.o mp_bh.o mp_cmpr.o mp_fget.o mp_fopen.o mp_fput.o mp_fset.o mp_method.o mp_region.o mp_register.o mp_stat.o mp_sync.o mp_trickle.o mut_fcntl.o mut_pthread.o mut_tas.o mutex.o os_abs.o os_alloc.o os_dir.o os_errno.o os_fid.o os_finit.o os_fsync.o os_handle.o os_map.o os_method.o os_oflags.o os_open.o os_region.o os_rename.o os_root.o os_rpath.o os_rw.o os_seek.o os_sleep.o os_spin.o os_stat.o os_tmpdir.o os_unlink.o qam.o qam_auto.o qam_conv.o qam_method.o qam_open.o qam_rec.o qam_stat.o txn.o txn_auto.o txn_rec.o txn_region.o xa.o xa_db.o xa_map.o 

#htlib c files  $(REGEX)
HTLIB_C_OBJS += getcwd.o mhash_md5.o regex.o vsnprintf.o memcmp.o mktime.o snprintf.o memcpy.o myqsort.o strerror.o memmove.o raise.o timegm.o

#htlib c++ files
HTLIB_CXX_OBJS += Configuration.o Database.o Dictionary.o DB2_db.o IntObject.o List.o Object.o ParsedString.o Queue.o QuotedStringList.o Stack.o String.o StringList.o StringMatch.o String_fmt.o good_strtok.o strcasecmp.o strptime.o HtCodec.o HtWordCodec.o HtVector.o HtHeap.o HtPack.o HtDateTime.o HtRegex.o HtRegexList.o HtRegexReplace.o HtRegexReplaceList.o HtVectorGeneric.o HtMaxMin.o HtWordType.o md5.o 

#htword c++ files
HTWORD_CXX_OBJS += WordBitCompress.o WordContext.o WordCursor.o WordDB.o WordDBCompress.o WordDBInfo.o WordDBPage.o WordKey.o WordKeyInfo.o WordList.o WordMonitor.o WordRecord.o WordRecordInfo.o WordReference.o WordStat.o WordType.o 

#htcommon c++ files
HTCOMMON_CXX_OBJS += DocumentDB.o DocumentRef.o HtWordReference.o HtWordList.o defaults.o HtURLCodec.o URL.o URLTrans.o HtZlibCodec.o cgi.o HtSGMLCodec.o HtConfiguration.o HtURLRewriter.o

#htnet c++ files
HTNET_CXX_OBJS += Connection.o Transport.o HtHTTP.o HtFile.o HtNNTP.o HtCookie.o HtCookieJar.o HtCookieMemJar.o HtHTTPBasic.o HtHTTPSecure.o SSLConnection.o HtFTP.o HtCookieInFileJar.o

#htdig c++ files
HTDIG_CXX_OBJS += Document.o ExternalTransport.o Parsable.o Retriever.o URLRef.o ExternalParser.o HTML.o Plaintext.o Server.o

#htfuzzy c++ files
HTFUZZY_CXX_OBJS += Accents.o EndingsDB.o Fuzzy.o Prefix.o Soundex.o Substring.o Synonym.o Endings.o Exact.o Metaphone.o Regexp.o Speling.o SuffixEntry.o filecopy.o

#HTFUZZY_C_OBJS += filecopy.o

#htsearch c++ files
HTSEARCH_CXX_OBJS += Collection.o DocMatch.o  ResultList.o SplitMatches.o TemplateList.o Display.o  HtURLSeedScore.o ResultMatch.o Template.o WeightWord.o parser.o

#libhtdig c++ files
LIBHTDIG_CXX_OBJS += ResultFetch.o BasicDocument.o TextCollector.o libhtdig_htdig.o libhtdig_htmerge.o libhtdig_htfuzzy.o libhtdig_log.o libhtdig_htsearch.o

#htcommon lex & yacc targets
LIBHTDIG_CXX_OBJS += conf_lexer.o conf_parser.o

#libhtdig c files
#LIBHTDIG_C_OBJS += filecopy.o

LXX_TARGETS += conf_lexer.cc

YXX_TARGETS += conf_parser.cc

OBJS += $(BDB_C_OBJS) $(HTLIB_C_OBJS) $(HTLIB_CXX_OBJS) $(HTWORD_CXX_OBJS)
OBJS += $(HTCOMMON_CXX_OBJS) $(HTNET_CXX_OBJS) $(HTDIG_CXX_OBJS)
OBJS += $(HTFUZZY_CXX_OBJS) $(HTFUZZY_C_OBJS) $(HTSEARCH_CXX_OBJS) $(LIBHTDIG_CXX_OBJS) $(LIBHTDIG_C_OBJS)


libhtdig-3.2.0.so: $(OBJS) $(LXX_TARGETS) $(YXX_TARGETS)
	$(CC) -shared $(LIB_DIRS) $(OTHER_OBJS) $(OBJS) -L/usr/local/lib $(LIBZ) $(LFLAGS) -Xlinker -h -Xlinker libhtdig.so.$(LIBHTDIG_BUILD_VER) -o libhtdig.so.$(LIBHTDIG_BUILD_VER)


libhtdig.a: $(OBJS) $(LXX_TARGETS) $(YXX_TARGETS)
	ar cru  libhtdig.a  $(OTHER_OBJS) $(OBJS)
	ranlib libhtdig.a


$(BDB_C_OBJS): %.o: ../db/%.c
	$(CC) $(BDB_INC_DIRS) $(BDB_DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTLIB_C_OBJS): %.o: ../htlib/%.c
	$(CC) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTLIB_CXX_OBJS): %.o: ../htlib/%.cc
	$(CXX) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTWORD_CXX_OBJS): %.o: ../htword/%.cc
	$(CXX) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTCOMMON_CXX_OBJS): %.o: ../htcommon/%.cc
	$(CXX) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTNET_CXX_OBJS): %.o: ../htnet/%.cc
	$(CXX) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTDIG_CXX_OBJS): %.o: ../htdig/%.cc
	$(CXX) $(HTDIG_INC_DIR) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTFUZZY_C_OBJS): %.o: ../htfuzzy/%.c
	$(CC) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTFUZZY_CXX_OBJS): %.o: ../htfuzzy/%.cc
	$(CXX) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(HTSEARCH_CXX_OBJS): %.o: ../htsearch/%.cc
	$(CXX) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(LIBHTDIG_CXX_OBJS): %.o: %.cc
	$(CXX) $(HTDIG_INC_DIR) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(LIBHTDIG_C_OBJS): %.o: %.c
	$(CC) $(HTDIG_INC_DIR) $(INC_DIRS) $(DEFS) $(OPTS) $(DBG) -c $< -o $@

$(LXX_TARGETS): %.cc: ../htcommon/%.lxx
	$(LEX) $(AM_LFLAGS) $< && mv $(LEX_OUTPUT_ROOT).c $@
	#$(LEX) $(AM_LFLAGS) $(LFLAGS) -o$@  $<

$(YXX_TARGETS): %.cc: ../htcommon/%.yxx
	$(YACC) $(AM_YFLAGS) $< && mv $(YACC_OUTPUT_ROOT).c $@
	if test -f y.tab.h; then if cmp -s y.tab.h conf_parser.h; then rm -f y.tab.h; else mv y.tab.h conf_parser.h; fi; else :; fi


clean:
	rm -f *.o *~ *.bak *.lo *.a* *.so* core $(LXX_TARGETS) $(YXX_TARGETS)

=== contrib/multidig/Makefile ===
#
# Makefile for the multidig system
#
# Copyright (c) 1998-2000 The ht://Dig Group
# Distributed under the terms of the GNU General Public License (GPL)
#   version 2 or later.
# for the ht://Dig search system http://www.htdig.org/
# and the multidig script system http://www.htdig.org/contrib/scripts/
#


#
# You probably want to change some or all of these.
#  BASH = location of bash or other Bourne-like shell with 'source' builtin
#  BASEDIR = directory of ht://Dig installation
# These should probably be OK.
#  BINDIR = directory of ht://Dig binaries. Also destination for these scripts.
#  CONFIG_DIR = directory of ht://Dig config files.
#  DB_BASE = base directory for ht://Dig / multidig databases
BASH=		/bin/bash
BASEDIR=	/opt/htdig
BINDIR=		$(BASEDIR)/bin
CONFIG_DIR=	$(BASEDIR)/conf
DB_BASE=	$(BASEDIR)/db


#
# You shouldn't need to change any of this...
#
SCRIPTS=	add-collect add-urls multidig \
		new-collect new-db gen-collect
CONF=		db.conf multidig.conf

all:

clean:
	rm -f *~

install:
	@echo "Installing scripts..."
	@for i in $(SCRIPTS); do \
		sed -e s%@BASH@%$(BASH)% \
		-e s%@CONFIG_DIR@%$(CONFIG_DIR)% $$i >$(BINDIR)/$$i; \
		chmod a+x $(BINDIR)/$$i; \
	echo $(BINDIR)/$$i; \
	done && test -z "$$fail"
	@echo
	@echo "Installing config files..."
	@echo
	@for i in $(CONF); do \
           sed -e s%@BASH@%$(BASH)% -e s%@BASEDIR@%$(BASEDIR)% \
		-e s%@BINDIR@%$(BINDIR)% -e s%@CONFIG_DIR@%$(CONFIG_DIR)% \
		-e s%@DB_BASE@%$(DB_BASE)% $$i >$(CONFIG_DIR)/$$i; \
           echo $(CONFIG_DIR)/$$i; \
        done && test -z "$$fail"
	@echo
	@echo "Done with installation."
	@echo

=== test/conf/Makefile ===
.SUFFIXES: .in

FILES = httpd.conf srm.conf access.conf mime.types \
        htdig.conf htdig.conf2 htdig.conf3

all: $(FILES)

clean: 
	rm -fr $(FILES)

.in:
	sed -e "s/_USER_/$(user)/g" \
	    -e "s|_TESTDIR_|$(testdir)|g" \
	    -e "s|_SRCDIR_|$(srcdir)|g" \
	    -e "s|_MODULES_|$(modules)|g" \
	    -e "s|_PORT_|7400|g" \
	    < $< > $@

=== debian/changelog ===
htdig (1:3.2.0b6-21) unstable; urgency=medium

  * QA upload.
  * Add debian/gbp.conf for pristine-tar and branch-names.
  * Add Vcs-Git/Vcs-Browser.
  * Update to Standards-Version 4.7.0.
  * Switch to debhelper-compat (= 13).
  * Remove README from htdig-doc, otherwise it conflicts with htdig pkg.
  * Add debian/salsa-ci.yml pipeline.
  * debian/watch: Redirect URL to htdig.sourceforge.net.
  * Replace rmdir by rm -rf to remove empty xmlsearch dirs.
  * Add Homepage to debian/control.
  * Enable SSL support (Closes: #133086, #1040977).
  * homepage-url.patch: Change all homepage-links to
    https://htdig.sourceforge.net, since old homepage no longer exists
    (Closes: #949265).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Aug 2024 14:49:52 +0200

htdig (1:3.2.0b6-20) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066208).

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 16 Mar 2024 21:46:16 +0500

htdig (1:3.2.0b6-19) unstable; urgency=medium

  * QA Upload.
  * Add debian/patches/gcc-11 by Slávek Banko (Closes: #984180)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 29 Nov 2021 19:27:04 +0100

htdig (1:3.2.0b6-18) unstable; urgency=medium

  * QA Upload.
  * Pass MV=/bin/mv to configure
    - this makes the build reproducible between merged-usr and non-merged.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 01 Dec 2018 19:06:11 +0100

htdig (1:3.2.0b6-17) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-7.  Closes: #853445.
  * dh 10.
  * Drop redundant build-depends on autoreconf.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 22 Aug 2017 03:47:57 +0200

htdig (1:3.2.0b6-16) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-6.  Closes: #811738.
  * Add a watch file.
  * Use debhelper 9 (no reworking of debian/rules yet, though).
  * Remove some autoconf files shipped in upstream tarball.
  * Fix a typo in README.Debian.
  * Replace remote-tracking SourceForge logos with a text link.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 07:05:44 +0200

htdig (1:3.2.0b6-15) unstable; urgency=high

  * QA upload
  * Change dependency on perl5 to perl following the removal of
    the former (Closes: #808215)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 17 Dec 2015 11:12:30 +0000

htdig (1:3.2.0b6-14) unstable; urgency=medium

  * QA upload
  * Convert to source format 3.0 (closes: #775965)
  * Add build-dependency on autotools-dev
  * Add patch kfreebsd: fix FTBFS on kfreebsd-*. Thanks to Steven Chamberlain
    for the patch! (closes: #765284)
  * debian/rules: remove the useless Makefiles from the html docs dir, to
    make builds reproducable. Thanks to Chris Lamb for the patch!
    (closes: #793648)

 -- Ralf Treinen <treinen@debian.org>  Mon, 10 Aug 2015 17:23:47 +0200

htdig (1:3.2.0b6-13) unstable; urgency=medium

  * QA upload.
  * Run dh-autoreconf to update config.guess/sub and libtoo.  Closes:
    #744593.
  * Update Brazilian Portuguese debconf templates translation (Adriano Rafael
    Gomes).  Closes: #693376.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Aug 2014 05:59:08 +0200

htdig (1:3.2.0b6-12) unstable; urgency=low

  * QA upload
  * Add hardened build flags through dpkg-buildflags

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 30 Dec 2011 18:08:23 +0100

htdig (1:3.2.0b6-11) unstable; urgency=low

  * QA upload
  * Fix pending debconf translations:
    - Danish (Joe Hansen).  Closes: #613446
    - Dutch (Jeroen Schot).  Closes: #651830
  * Modernize the package:
    - Add build-arch and build-indep build targets

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Thu, 29 Dec 2011 22:54:57 +0100

htdig (1:3.2.0b6-10) unstable; urgency=low

  * QA upload.
  * Get rid of unneeded *.la files (Closes: #621608).

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Jun 2011 11:12:12 +0200

htdig (1:3.2.0b6-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Resolve RC-bug 'dir-or-file-in-var-www'. (Closes: #553540)
    + debian/rules:
      o Use '--with-image-dir=/var/lib/htdig/www'.
      o Use parent option 'mkdir -p' to avoid errors.
    + debian/htdig.install: Exchange 'var/www/htdig' for
        'var/lib/htdig/www'.
    + debian/NEWS: New file documenting the changes caused by FHS.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 19 Jan 2010 16:10:36 +0100

htdig (1:3.2.0b6-9) unstable; urgency=low

  * QA upload.
  * Update config.{sub,guess} files in clean target. (Closes: #535724)
  * Add ${misc:Depends} to all binary packages as we use debhelper.
  * Call dh_makeshlibs before dh_installdeb.
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jul 2009 04:02:56 +0200

htdig (1:3.2.0b6-8) unstable; urgency=low

  * QA upload.
  * Fix pending l10n bugs. Debconf translations
    - Swedish. Closes: #487372

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Sep 2008 22:23:03 +0200

htdig (1:3.2.0b6-7) unstable; urgency=low

  * QA upload.
  * Fix pending l10n issues
  * Debconf translations:
    - Georgian. Closes: #498311
    - Basque. Closes: #498334
    - Spanish. Closes: #498433

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Sep 2008 16:26:36 +0200

htdig (1:3.2.0b6-6) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 3.7.3. No changes.
  * Clean libhtdigphp/config.{log,status} in debian/rules clean target.
  * Fix "warning: `Use' not defined" manpage error.
  * Rename nested "examples" directory in /usr/share/doc/htdig-doc to "htdoc"
    to avoid confusion.
  * Create {root2word,word2root,synonyms}.db in /var/lib/htdig instead of
    /etc/htdig (Closes: #74523, #475885).
  * Override 'verbose' environment variable when calling htdigconfig in
    postinst to avoid collision with FAI's use of that variable.
    (Closes: #443850, #443866)
  * Reduce cronjob noise:
    - By not printing the output from "kill" (Closes: #406949)


=== debian/control ===
Source: htdig
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev, flex, bison, libssl-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/htdig.git
Vcs-Browser: https://salsa.debian.org/debian/htdig
Homepage: https://htdig.sourceforge.net

Package: htdig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, lockfile-progs, debconf (>= 1.2.9) | debconf-2.0
Suggests: htdig-doc, wwwoffle | httpd
Conflicts: libmifluz0
Description: web search and indexing system - binaries
 The ht://Dig system is a complete web search engine for a small
 domain or intranet. It is not meant to replace the major
 Internet-wide search engines; instead it is meant to cover the search
 needs of a single company, campus, or even a particular subsection of
 a website.
 .
 Features:
  - intranet searching, spanning multiple local web servers;
  - robot exclusion;
  - boolean expression searches;
  - configurable search results;
  - fuzzy searching (various algorithms supported);
  - indexing of HTML and text files;
  - keyword tagging of HTML documents;
  - email notification of expired documents;
  - indexing of protected servers;
  - searches on subsections of the database;
  - limitation of search depth;
  - ISO-Latin-1 character set support.

Package: htdig-doc
Architecture: all
Depends: ${misc:Depends}, perl
Suggests: htdig
Section: doc
Description: web search and indexing system - documentation
 The ht://Dig system is a complete web search engine for a small
 domain or intranet. It is not meant to replace the major
 Internet-wide search engines; instead it is meant to cover the search
 needs of a single company, campus, or even a particular subsection of
 a website.
 .
 This package provides the HTML documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CXXFLAGS = `dpkg-buildflags --get CXXFLAGS`
CXXFLAGS += -Wno-deprecated
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	dh_autoreconf
	rm -f libhtdigphp/config.log libhtdigphp/config.status
	export PDF_PARSER=/usr/bin/htdig-pdfparser && \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
	LDFLAGS="$(LDFLAGS)" MV=/bin/mv ./configure \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--with-pic \
		--with-gnu-ld \
		--prefix=/usr \
		--with-cgi-bin-dir=/usr/lib/cgi-bin \
		--with-search-dir=/usr/share/doc/htdig/examples \
		--with-image-dir=/var/lib/htdig/www \
		--with-config-dir=/etc/htdig \
		--with-common-dir=/etc/htdig \
		--with-database-dir=/var/lib/htdig \
		--with-ssl
	make
	touch $@

clean:
	dh_testdir
	dh_testroot

	-rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

	dh_autoreconf_clean
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	mkdir -p debian/htdig-doc/usr/share/doc/htdig-doc/examples
	cp -r contrib/* debian/htdig-doc/usr/share/doc/htdig-doc/examples
	mv debian/htdig-doc/usr/share/doc/htdig-doc/examples/examples \
		debian/htdig-doc/usr/share/doc/htdig-doc/examples/htdig
	mkdir -p debian/htdig-doc/usr/share/doc/htdig-doc/html
	cp -r htdoc/* debian/htdig-doc/usr/share/doc/htdig-doc/html
	rm -f debian/htdig-doc/usr/share/doc/htdig-doc/html/Makefile*
	rm -f debian/htdig-doc/usr/share/doc/htdig-doc/html/COPYING
	rm -f debian/htdig-doc/usr/share/doc/htdig-doc/examples/rtf2html/COPYING
	rm -rf debian/htdig-doc/usr/share/doc/htdig-doc/examples/xmlsearch
	rm -rf debian/htdig-doc/usr/share/doc/htdig-doc/examples/htdig/xmlsearch
	rm -rf debian/htdig-doc/usr/share/doc/htdig-doc/examples/php-wrapper/
	rm -rf debian/htdig-doc/usr/share/doc/htdig-doc/examples/htwrapper/
	find debian/htdig-doc/usr/share/doc -type f | xargs chmod -x

	dh_installdocs -i
	dh_installchangelogs -i ChangeLog
	dh_strip -i
	dh_compress -i -Xhtml/C
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	make install DESTDIR=`pwd`/debian/tmp
	mkdir -p debian/tmp/usr/sbin
	install -m 755 debian/htdigconfig debian/tmp/usr/sbin
	mkdir -p debian/tmp/usr/share/htdig
	install -m 755 debian/parse_doc.pl debian/tmp/usr/share/htdig
	install -m 755 debian/htdig-pdfparser debian/tmp/usr/bin
	chmod -x debian/tmp/etc/htdig/*
	find debian/tmp/usr/share/doc -type f | xargs chmod -x

	dh_installdebconf
	dh_installdocs -a README
	dh_installchangelogs -a ChangeLog
	dh_installman -a
	dh_installcron -a
	dh_install -phtdig
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary:	binary-indep binary-arch

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean

=== debian/watch ===
version=4
https://htdig.sourceforge.net/where.html \
(?:|.*/)htdig(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
